VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Const APP_NAME = "LastPos"
Private Const SECTION_NAME = "Geometry"

Private Type POINTAPI
    X As Long
    Y As Long
End Type
Private Type RECT
    Left As Long
    Top As Long
    Right As Long
    Bottom As Long
End Type
Private Type WINDOWPLACEMENT
    Length As Long
    flags As Long
    showCmd As Long
    ptMinPosition As POINTAPI
    ptMaxPosition As POINTAPI
    rcNormalPosition As RECT
End Type

Private Declare Function GetWindowPlacement Lib "user32" (ByVal hwnd As Long, lpwndpl As WINDOWPLACEMENT) As Long
Private Declare Function SetWindowPlacement Lib "user32" (ByVal hwnd As Long, lpwndpl As WINDOWPLACEMENT) As Long

Private Const SW_RESTORE = 9
Private Const SW_MINIMIZE = 6
Private Const SW_NORMAL = 1
Private Const SW_SHOWMINIMIZED = 2
' Load the form's geometry from the registry.
Private Sub Form_Load()
Dim wp As WINDOWPLACEMENT
Dim window_state As Long

    ' Initialize wp from the registry.
    With wp
        .Length = Len(wp)
        .flags = GetSetting(APP_NAME, SECTION_NAME, _
            "flags", 0)
        .showCmd = GetSetting(APP_NAME, SECTION_NAME, _
            "showCmd", SW_RESTORE)
        .ptMinPosition.X = GetSetting(APP_NAME, SECTION_NAME, _
            "MinX", 100)
        .ptMinPosition.Y = GetSetting(APP_NAME, SECTION_NAME, _
            "MinY", 100)
        .rcNormalPosition.Left = GetSetting(APP_NAME, SECTION_NAME, _
            "Left", 0)
        .rcNormalPosition.Top = GetSetting(APP_NAME, SECTION_NAME, _
            "Top", 0)
        .rcNormalPosition.Right = GetSetting(APP_NAME, SECTION_NAME, _
            "Right", 100)
        .rcNormalPosition.Bottom = GetSetting(APP_NAME, SECTION_NAME, _
            "Bottom", 100)
    End With

    ' Position the form.
    SetWindowPlacement hwnd, wp
End Sub
' Save the form's geometry in the registry.
Private Sub Form_Unload(Cancel As Integer)
Dim disallow_minimized As Boolean
Dim wp As WINDOWPLACEMENT

    ' Do nothing if the form is not visible.
    If Visible = False Then Exit Sub

    ' Uncomment this line if you do not want to
    ' allow the form to come up minimized.
'    disallow_minimized = True

    ' Get the window's normalized placement.
    wp.Length = Len(wp)
    GetWindowPlacement hwnd, wp

    With wp
        If disallow_minimized And _
            ((.showCmd = SW_MINIMIZE) Or _
             (.showCmd = SW_SHOWMINIMIZED)) _
        Then
            SaveSetting APP_NAME, SECTION_NAME, _
                "showCmd", SW_NORMAL
        Else
            SaveSetting APP_NAME, SECTION_NAME, _
                "showCmd", .showCmd
        End If

        SaveSetting APP_NAME, SECTION_NAME, _
            "flags", .flags
        SaveSetting APP_NAME, SECTION_NAME, _
            "MinX", .ptMinPosition.X
        SaveSetting APP_NAME, SECTION_NAME, _
            "MinY", .ptMinPosition.Y
        SaveSetting APP_NAME, SECTION_NAME, _
            "Left", .rcNormalPosition.Left
        SaveSetting APP_NAME, SECTION_NAME, _
            "Top", .rcNormalPosition.Top
        SaveSetting APP_NAME, SECTION_NAME, _
            "Right", .rcNormalPosition.Right
        SaveSetting APP_NAME, SECTION_NAME, _
            "Bottom", .rcNormalPosition.Bottom
    End With
End Sub
